<?php

	$admin_links=array();
	$user_links=array();

	$plugins=array();
	$java_scripts=array();
	$rss_feeds=array();
	$css_main=array();

	require_once 'HTML/Page2.php';
	require_once('source_php/config.php');
	require_once('source_php/basis.php');

	$time=getmicrotime();

	$php=get_cat(DIR_PHP_REQ, 'php');
	foreach($php as $buf)	require_once(DIR_PHP_REQ.$buf);

	$php=get_cat(DIR_PHP_INC, 'php');
	foreach($php as $buf)	require_once(DIR_PHP_INC.$buf);

	$prefs_main=new Simple_XML();
	$prefs_main->loadFile(DIR_PREFS.'main.xml');

	define('SITE_NAME', $prefs_main->getText('site_name'));
	define('SITE_WWW_NAME', 'www.'.SITE_NAME);
	define('SITE_HTTP_NAME', 'http://'.SITE_NAME);


function print_main($title, $body, $right_menu=false, $left_menu=true, $main_temp=true)
{
	global $prefs_main;
	$print=get_invar('print', 'get');

	$admin=is_admin();
	$user=is_user();

	$title=obrab_title($title);

	if ($main_temp)	$string=print_file(HTML_TEMPLATE);
	else	$string=$body;

	$string=str_replace('<site_current_year />', date('Y'), $string);
	$string=str_replace('<site_time />', my_time(), $string);
	$string=str_replace('<site_version />', SITE_VERSION, $string);
	$string=str_replace('<site_counters />', print_file(HTML_TEMPLATE_COUNTERS), $string);
	$string=str_replace('<site_left_menu />', make_left_menu(), $string);
	$string=str_replace('<site_main_buttons />', make_main_buttons(), $string);

	if (empty($title))	$string=str_replace('<site_title_first />', '', $string);
	else $string=str_replace('<site_title_first />', $title, $string);

	global $time;
	$time_str=sprintf ('%.3f', getmicrotime()-$time);
	$string=str_replace('<site_time_build />', '   '.$time_str.' .', $string);

	if (!empty($title))	$pre_title='<h1 class="first">'.$title.'</h1>';
	$string=str_replace('<site_title />', $pre_title, $string);

	/*$css=skin(print_file(CSS_DEFAULT));
	if (isset($_COOKIE[COOKIE_FONT]))	$css=str_replace('<site_font />', get_css_font(), $css);
	else	$css=str_replace('<site_font />', DEFAULT_FONT, $css);
	*/

	$string=str_replace('<site_body />', $body, $string);
	$string=preg_replace('(\x3csite_(.+?)\x3e)', '', $string);

	$meta_desc=$title;
	$encoding=$prefs_main->getText('site_encoding');
	$page = new HTML_Page2(array (
							'charset'  => $encoding,
                           'lineend'   => 'unix',
                           //'doctype'   => 'XHTML 1.0',
                           'language'  => 'ru',
                           'cache'     => 'false',
                           'tab'       => '  '
                         ));
	$page->addFavicon('favicon.ico');
	$page->setMetaContentType();
	$page->setTitle($title);
	$page->setMetaData("DESCRIPTION", $meta_desc);
	$page->setMetaData("KEYWORDS", $meta_desc.', '.$prefs_main->getText('site_meta_keywords'));

	$page->addStyleSheet(CSS_DEFAULT);
	$page->addStyleSheet(CSS_PRINT, 'text/css', 'print');

	global $css_main;
	foreach($css_main as $buf)	$page->addStyleSheet($buf);

	$page->setBody((string)$string);

	$page->display();
	exit();
}

	$r=get_invar('r', 'request');

	if (file_exists('index.htm') and $r!='user' and !is_admin())	print print_file('index.htm');
	else	print_dpage($plugins, $r);

	exit();

?>