<?php

class Simple_XML
{
	var $filename;
	var $base;
	var $header_xml;

	function Simple_XML()
	{
		$this->filename='';
		$this->base='';
		$this->header_xml=true;
	}

	function SetFilename($name)
	{
		$this->filename=$name;
	}

	function LoadText($text)
	{
		$this->base=$text;
	}

	function LoadFile($file)
	{
		$this->filename=$file;
		$this->base=print_file($file);
	}

	function Clear()
	{
		$this->base='';
	}

	function EditTags($xml, $closetag)
	{
		$closetag='</'.$closetag.'>';
		$this->body=astr_replace($closetag, $xml.$closetag, $this->body);
	}

	function GetText($tag)
	{
		$str=$this->base;
		$z = strpos ($str, '<'.$tag.'>');
		if ($z!==false)
		{
			$z=$z+strlen($tag)+2;
			$z2=strpos($str, '</'.$tag.'>');
			$s=substr($str, $z, $z2-$z);
			return $s;
		}
	}

	function AddTag($tag, $text)
	{
		$this->base.='<'.$tag.'>'.$text.'</'.$tag.'>'.LINE_END;
	}

	function WrapTags($tag)
	{
		$this->base='<'.$tag.'>'.$this->base.'</'.$tag.'>'.LINE_END;
	}

	function Save()
	{
		if ($this->header_xml)
		{
			$this->base='<?xml version="1.0" coding='.SITE_ENCODING.'?>'.$this->base;
		}

		if (!empty($this->filename))	savew($this->filename, $this->base);
	}
}

?>
