<?php
	setlocale(LC_ALL, 'ru_RU.CP1251');

	define('SITE_ENGINE', 'hcSite');
	define('SITE_ENGINE_AUTHOR', ' ..');
	define('SITE_VERSION', 'v2.1');
	define('SITE_CACHE', true);
	define('LINE_END', "\n");
	define('RAZ', '|');

	define('NAME_ADMIN','admin');

	define('LINK_MAIN', 'index.php');
	define('LINK_MAIN_R', LINK_MAIN.'?r=');
	define('LINK_USER', LINK_MAIN_R.'user');

	define('CSS_DEFAULT', 'main.css');
	define('CSS_PRINT', 'print.css');
	define('CSS_MENU', 'css/menu.css');

	define('JAVASCRIPT_MENU', 'js/menu.js');
	define('JAVASCRIPT_MAIN', 'js/main.js');

	define('DIR_IMAGES_VIS', 'gfx/vis/');
	define('DIR_IMAGES_VIS_MINI', 'gfx/vis_mini/');
	define('DIR_DATA', 'data/');
	define('DIR_DATA_SAVE', 'data_save/');
	define('DIR_PREFS', DIR_DATA_SAVE.'prefs/');
	define('DIR_CACHE', DIR_DATA_SAVE.'cache/');
	define('CACHE_TIME', 1800);	//   

	define('DIR_PHP', 'source_php/');
	define('DIR_PHP_REQ', DIR_PHP.'require/');
	define('DIR_PHP_PLUGINS', DIR_PHP.'plugins/');
	define('DIR_PHP_INC', DIR_PHP.'inc/');
	define('DIR_TEMP', 'temp/');
	define('DIR_MENU', 'data/menu/');

	define('COOKIE_TIME', 3600*24*31);
	define('COOKIE_TIME_ADMIN', COOKIE_TIME);
	define('COOKIE_TIME_USER', COOKIE_TIME*6);
	define('COOKIE_TIME_PREFS', COOKIE_TIME*6);

	define('COOKIE_NO_CSS', 'prefs_no_css');
	define('COOKIE_SKIN', 'prefs_skin');
	define('COOKIE_NO_IMAGES', 'prefs_no_images');
	define('COOKIE_NO_GRADIENT', 'prefs_no_gradient');
	define('COOKIE_N_MESSAGES', 'prefs_n_messages');
	define('COOKIE_FONT', 'prefs_font');
	define('COOKIE_CLOSE_LEFT_PANELS', 'prefs_clp');
	define('COOKIE_CLOSE_RIGHT_PANELS', 'prefs_crp');

	define('COOKIE_USER', 'prefs_user');
	define('COOKIE_PAS', 'prefs_pas');

	define('SLEEP_TIME', 3);

	define('TIMEOUT_WEEK', 24*3600*7);
	define('TIMEOUT_DAY', 24*3600);
	define('TIMEOUT_MONTH', 24*3600*31);

	define('MAX_PAGES', 11);

	define('TEXT_CENZ','data_save/bases/cenz.txt');
	define('TEXT_SMILES','data/bases/smiles.txt');

	define('HTML_TEMPLATE','data/templates/main.htm');
	define('HTML_TEMPLATE_FOR_PRINT','data/templates/main_for_print.htm');
	define('HTML_TEMPLATE_ADD_NEWS','data/templates/add_news.htm');
	define('HTML_TEMPLATE_COUNTERS','data/templates/counters.htm');

	define('LEN_PAS', 8); // 

	define('MAX_FILE_SIZE', 100000);
	define('MIN_LEN_FILE', 2);

	define('MAX_LEN_DEFAULT', 256);
	define('MAX_LEN_TEXT', 2048);

	define('MIN_YEAR', 2004); //  ,     
	define('MIN_MONTH', 8); //  ,     

	define('MIN_N_MESSAGES', 5); //   
	define('MAX_N_MESSAGES', 20); //   
	define('DEFAULT_N_MESSAGES', 10); // N    

?>