<?

//$plugins[]=array('id'=>'sitemap', 'function'=>'print_sitemap');
$plugins[]=array('id'=>'html', 'object'=>'Main_menu', 'default'=>true);

define('HTML_DEPTH', 4);
define('HTML_IT0_INC', false);
define('HTML_BEGIN', '');
define('HTML_END', '.html');
define('HTML_PATH', true);

define('DIR_ARTICLES', DIR_DATA_SAVE.'articles/');
define('MAX_LEN_PATH_WORD', 20);

class Main_menu extends Plugin
{

	var $level;

	var $it;
	var $it_dir;
	var $it_txt;
	var $it_title;
	var $it_flags;
	var $it_img;
	var $it_object;
	var $it_source;
	var $it_file_after;
	var $it_file_before;
	var $it_function;

function Main_menu()
{
	$this->Init('');

	$this->level=-1;
	$this->it=array();
	$this->it_dir=array();
	$this->it_txt=array();
	$this->it_title=array();
	$this->it_flags=array();
	$this->it_img=array();
	$this->it_file_before=array();
	$this->it_file_after=array();
	$this->it_function=array();
	$this->it_object=array();
	$this->it_source=array();

	for ($i=0; $i<=HTML_DEPTH; $i++)
	{
		$this->it[$i]=get_invar('item'.$i, 'request');
		if (!empty($this->it[$i]))	$this->level++;
		else	break;
	}

	if ($this->level==-1)
	{
		$this->level=0;
		$this->it[0]='index';
	}

	$dir=DIR_ARTICLES;
	$txt=$dir.'main.txt';
	$url=HTML_BEGIN;

	$goto=false;

	for ($i=0; $i<=$this->level; $i++)
	{
		$base=print_afile($txt);
		if ($i==0 and !count($txt))	go_thanks('no_find_page');

		$write=false;

		foreach ($base as $buf)
		{
			list($aid, $atitle, $aflags, $aimg, $adir, $atxt,  $afile_before, $afunction, $aobject, $asource, $afile_after, $ares1, $ares2)=explode(RAZ, $buf);

			if ($this->it[$i]==$aid or $goto)
			{
				$write=true;
				if	($aid[0]=='@')	continue;

				if ($goto)
				{
					$it[$i]=$aid;
					$goto=false;
				}
				$dir.=$adir;
				$txt=$dir.$atxt;

				$this->it_txt[$i]=$atxt;
				$this->it_dir[$i]=$dir;

				if (!HTML_IT0_INC and !$i)	$url.=$aid;
				else	$url.='_item'.$i.'_'.$aid;

				$this->it_url[$i]=$url;
				$this->it_file_before[$i]=$afile_before;
				$this->it_file_after[$i]=$afile_after;
				$this->it_function[$i]=$afunction;
				$this->it_object[$i]=$aobject;
				$this->it_source[$i]=$asource;
				$this->it_title[$i]=$atitle;
				$this->it_flags[$i]=$aflags;
				$this->it_img[$i]=$aimg;

				if (is_flag($aflags, 'goto_submenu')!==false and $i==$this->level)
				{
					$this->level++;
					$goto=true;
				}
				break;
			}
		}

		if (!$write)	go_thanks('no_find_page');
	}
}

function display()
{
	if (HTML_PATH)	$this->path_link();
	$this->auto_links();
}

function auto_links()
{
	$string='';
	$str='';

	$txt=$this->it_dir[$this->level].$this->it_txt[$this->level];
	if ($this->it_txt[$this->level])
	{
		$buf=print_afile($txt);
		$str='';
		foreach($buf as $line)
		{
			$aflags='';
			list($aid, $atitle, $aflags, $aimg, $adir, $atxt, $afile_before, $afunction, $aobject, $asource, $afile_after, $ares1, $ares2)=explode(RAZ, $line);
			/*if ($goto_submenu!==false)
			{
				$string=$this->auto_links($dir.$ldir, $dir.$ldir.$lfile, $url, $ltemplate, $lflag);
				break;
			}*/
			if($aid=='@line')
			{
				$str.='<div class="html_page_spacer"></div>';
				continue;
			}
			$tar='';
			$href=$this->it_url[$this->level].'_item'.($this->level+1).'_'.$aid.HTML_END;

			if (is_flag($aflags, 'link_outside'))
			{
				$tar=' target="_blank"';
				$href=$aobject;
			}

			if (!is_flag($aflags, 'br'))	$str.='<p class="bolda"><a'.$tar.' class="bold" href="'.$href.'">'.$atitle.'</a></p>';
			else	$str.='<a'.$tar.' href="'.$href.'">'.$atitle.'</a><br />';
		}
		$aflags=$this->it_flags[$this->level];

		if (!is_flag($aflags, 'br'))	$str='<table align="center" summary=" "><tr><td>'.$str.'</td></tr></table>';
		if (!is_flag($aflags, 'no_links'))
		{
			if (is_flag($aflags, 'links_inside'))
			{
				$string=str_replace('<site_links_inside />', $str, $string);
			}
			else
			{
				if (is_flag($aflags, 'links_bottom'))	$string.=$str;
				else	$string=$str.$string;
				$str='';
			}
		}

		$this->body.=$string;
	}
	else
	{
			if (is_flag($this->it_flags[$this->level], 'link_outside'))
			{
				$this->body.='<p>  : <a target="_blank" href="'.$this->it_object[$this->level].'">'.$this->it_object[$this->level].'</a></p>';
			}
	}


	$flags=$this->it_flags[$this->level];
	$function=$this->it_function[$this->level];
	$source=$this->it_source[$this->level];
	$title=$this->it_title[$this->level];
	$file_before=$this->it_dir[$this->level].$this->it_file_before[$this->level];
	$file_after=$this->it_dir[$this->level].$this->it_file_after[$this->level];
	$object=$this->it_object[$this->level];

	$buf=array('id'=>'html', 'links_inside'=>$str, 'function'=>$function, 'source'=>$source, 'flags'=>$flags, 'title'=>$title, 'file'=>$string, 'object'=>$object, 'body'=>$this->body, 'file_before'=>$file_before, 'file_after'=>$file_after);
	print_ddpage($buf);
}

function path_link()
{
	$string='';
	if($this->level and !$this->print)
	{
		$string.='<p class="html_path"> :&nbsp;';
		for($n=0; $n<=$this->level; $n++)
		{
			$title=$this->it_title[$n];
			if (strlen($title)>MAX_LEN_PATH_WORD)	$title=substr($title, 0, MAX_LEN_PATH_WORD).'...';

			if ($n!=$this->level)	$string.='<a href="'.$this->it_url[$n].HTML_END.'">'.$title.'</a>';
			else	$string.=$title;

			if ($n!=$this->level)	$string.='&nbsp;&raquo;&nbsp;';
		}
		$string.='</p>';
	}
	$this->body.=$string;
}

}

function get_html_submenu($it0)
{
	$string='<ul>';
	$url=HTML_BEGIN.'_item0_'.$it0.'_item1_';
	$file=DIR_ARTICLES.$it0.'/main.txt';
	if (file_exists($file))
	{
		$buf=print_afile($file);
		foreach($buf as $line)
		{
			list($aid, $atitle, $aflags, $aimg, $adir, $atxt, $afile_before, $afunction, $aobject, $asource, $afile_after, $ares1, $ares2)=explode(RAZ, $line);
			if ($aid=='@line')
			{
				$string.='<li><div class="html_spacer"></div></li>';
				continue;
			}
			//if (is_flag($aflags, 'link_outside'))	$string.='<li><a target="_blank" href="'.$new_url.'">'.$atitle.'</a></li>';
			//else
			$string.='<li><a href="'.$url.$aid.HTML_END.'">'.$atitle.'</a></li>';
		}
	}
	else
	{
		return '';
	}

	$string.='</ul>';

	return $string;
}

function print_dpage($base, $r='')
{
	$n=-1;
	$i=0;
	foreach($base as $buf)
	{
		if ($buf['id']==$r)	print_ddpage($buf);
		if ($buf['default']=='true')	$n=$i;
		$i++;
	}

	if ($n>-1)	print_ddpage($base[$n]);

	go_thanks('no_find_page', 'html');
}

function print_ddpage($buf)
{
	$right_menu=false;
	$body='';
	$left_menu=true;
	$title='';

	if (!empty($buf['meta_keywords']))
	{
		global $meta_keywords;
		$meta_words=$buf['meta_keywords'];
	}
	$flags=$buf['flags'];

	if ($flags)
	{
		if (is_flag('right_menu', $flags))	$right_menu=true;
		if (is_flag('left_menu', $flags))	$right_menu=false;
	}

	if ($buf['right_menu']=='true')	$right_menu=true;
	if ($buf['left_menu']=='false')	$left_menu=false;

	if (!empty($buf['title']))	$title=$buf['title'];

	if (!empty($buf['body']))	$body.=$buf['body'];

	$file=$buf['file_before'];
	if (file_exists($file) and !is_dir($file))	$body.=print_file($file);

	if (!empty($buf['source']))
	{
		$file=DIR_PHP_PLUGINS.$buf['source'];
		if (file_exists($file) and !is_dir($file))	require_once($file);
	}

	if (!empty($buf['object']) and class_exists($buf['object']))
	{
		$plug=new $buf['object']();
		$plug->display();
		$title=$plug->title;
		$body.=$plug->body;
	}

	if (!empty($buf['function']))
	{
		$function=str_replace('()', '', $buf['function']);
		if (function_exists($function))
		{
			$ret=$function();
			if (is_array($ret))
			{
				if (!empty($ret['title']))	$title=$ret['title'];
				$body.=$ret['body'];
			}
			else
			{
				$body.=$ret;
			}
		}
	}
	$file=$buf['file_after'];
	if (file_exists($file) and !is_dir($file))	$body.=print_file($file);


	if ($buf['links_inside'])	$body=str_replace('<site_links_inside />', $buf['links_inside'], $body);


	print_main($title, $body, $right_menu, $left_menu);
}

function print_html_adr($amp_inc=true)
{
	if ($amp_inc)	$amp='&amp;';
	else	$amp='&';

	$string='';
	$it=array();
	$level=-1;

	$string.=HTML_BEGIN;
	for ($i=0; $i<=HTML_DEPTH; $i++)
	{
		$it[$i]=get_invar('item'.$i, 'request');
		if (!empty($it[$i]))
		{
			if (!HTML_IT0_INC and !$i)	$string.=$it[$i];
			else	$string.='_item'.$i.'_'.$it[$i];
		}
		else	break;
		$level++;
	}

	$string.=HTML_END;
	if ($level==-1)	$string='';

	return $string;
}

?>