<?php

define('LEN_PAS', 8); //  . 
define('HTML_TEMPLATE_ADD_USER','data/templates/add_user.htm');
define('DIR_USERS','data_save/users/');

$user_links[]=array(title=>'', href=>LINK_MAIN_R.'user&amp;action=exit');
$admin_links[]=array(title=>'', href=>LINK_MAIN_R.'user&amp;action=edit');
$plugins[]=array('id'=>'user', 'object'=>'Users');

function is_latin($text)
{
	if (eregi('[0-9a-zA-Z]', $text))	return true;

	return false;
}

function is_user($cookie=true)
{
	if ($cookie)
	{
		$login=get_invar(COOKIE_USER, 'cookie');
		$password=get_invar(COOKIE_PAS, 'cookie');
	}
	else
	{
		$login=get_invar('user', 'request');
		$password=get_invar('pas', 'request') ;
	}
	if (empty($login) or empty($password))	return false;
	if (!is_latin($login))	return false;

	$file=DIR_USERS.$login.'.xml';

	if (file_exists($file) and !is_dir($file))
	{
		$xml=new Simple_XML();
		$xml->loadFile($file);
		$blogin=$xml->getText('login');
		$bpassword=$xml->getText('password');
		if ($bpassword==$password and $blogin==$login) return true;
	}

	return false;
}

function is_admin($go_begin=false)
{
	$res=false;
	$login=get_invar(COOKIE_USER, 'cookie');

	if (is_user() and NAME_ADMIN==$login)	$res=true;

	if ($go_begin)	go_begin();

	return $res;
}

function get_name_user_file($user)
{
	return DIR_USERS.$user.'.xml';
}

function exists_user($user)
{
	$file=get_name_user_file($user);
	if (file_exists($file) and !is_dir($file))	return true;
	return false;
}

function get_user_info($need='', $user='')
{
	static $xml;
	static $old_user;

	if (!class_exists($xml) or $user!=$old_user)
	{
		if (empty($user))
		{
			$user=get_invar(COOKIE_USER, 'cookie');
			$file=get_name_user_file($user);
		}
		else
		{
			$file=get_name_user_file($user);
		}

		$old_user=$user;

		if (!file_exists($file) or is_dir($file))	return '';

		$xml=new Simple_XML();
		$xml->loadFile($file);
	}

	return $xml->getText($need);
}



class Users extends Plugin
{

function Users()
{
	$this->Init('');

}

function exit_user()
{
	setcookie(COOKIE_USER, '', 0);
	setcookie(COOKIE_PAS, '', 0);

	go_begin();
}

function set_cookie()
{
		setcookie(COOKIE_USER, $_POST['user'], time()+COOKIE_TIME_USER);
		setcookie(COOKIE_PAS, $_POST['pas'], time()+COOKIE_TIME_USER);

		go_begin();
}

function show_input()
{
	$string='<script type="text/javascript">
<!--
function Validate(fname)
{
	if (fname.user.value == "")
	{
		alert("   !");
		return false;
	}

	if(fname.pas.value == "")
	{
		alert("   !");
		return false;
	}

	return true;
}
//-->
</script>
<p style="text-align:center">,  \'*\',   .</p>
	<form action="'.LINK_MAIN.'" method="post" name="post" onsubmit="return Validate(this);">
		<table align="center" summary=" "><tr><td>
			<p>, *:<br /><input type="text" name="user" maxlength="12" value="" /></p>
			<p>, *:<br /><input type="password" maxlength="32" name="pas" value="" /></p>
			<p><input type="submit" value="" /></p>
			<input type="hidden" name="r" value="user" />
			<input type="hidden" name="action" value="input" />
		</td></tr></table>
	</form>
<script type="text/javascript">
<!--
	document.post.user.focus();
//-->
</script>

	';

	$this->title='';
	$this->body=$string;
}

function display()
{
	if (is_admin() and !empty($this->action))
	{
		switch($this->action)
		{
			case 'edit':
			{
				$this->edit();
				return;
			}
			case 'add':
			{
				$this->add();
				return;
			}
			break;
			case 'save':
			{
				$this->save();
				go_thanks('add_user', 'user');
				return;
			}
			break;
			case 'delete':
			{
				$this->delete();
				return;
			}
			break;
			case 'show':
			{
				$this->show();
				return;
			}
			break;
		}
	}

	switch ($this->action)
	{
		case 'input':
		{
			if (is_user(false))	$this->set_cookie();
			else	go_thanks('reg_error', 'user');
		}
		break;
		case 'exit':
		{
			$this->exit_user();
		}
		break;
		default:
		{
			if (is_user())
			{
				go_begin();
			}
			else
			{
				$this->show_input();
				return;
			}
		}
		break;
	}

	go_begin();
}

function delete()
{
	if (isset($_REQUEST['user']))
	{
		$user=get_invar('user', 'request');
		if ($user!=NAME_ADMIN)
		{
			$file=get_name_user_file($user);
			unlink($file);
		}
	}
	return $this->show(true);
}

function edit()
{
	$string='<p><a href="'.LINK_MAIN_R.'user&amp;action=show"> </a></p>';
	$string.='<p><a href="'.LINK_MAIN_R.'user&amp;action=add"> </a></p>';
	$string.='<p><a href="'.LINK_MAIN_R.'user&amp;action=delete"> </a></p>';

	$this->title='';
	$this->body=$string;
}

function save()
{
	$user=obrab(get_invar('user', 'post'));
	$name=obrab(get_invar('name', 'post'));
	$email=obrab(get_invar('email', 'post'));
	$phone=obrab(get_invar('phone', 'post'));

	$user=substr($user, 0, MAX_LEN_LOGIN);
	$name=substr($name, 0, MAX_LEN_DEFAULT);
	$email=substr($email, 0, MAX_LEN_DEFAULT);
	$phone=substr($phone, 0, MAX_LEN_DEFAULT);

	if (empty($user) or empty($name) or empty($email))	go_thanks('not_all_data', 'user');
	if (!is_email($email))	go_thanks('not_correct_email', 'user');
	if (!is_latin($user))	go_thanks('not_latin', 'user');

	$pas=generate_pas();

	$xml=new Simple_XML();
	$xml->setFilename(get_name_user_file($user));
	$xml->addTag('login', $user);
	$xml->addTag('password', $pas);
	$xml->addTag('phone', $phone);
	$xml->addTag('name', $name);
	$xml->addTag('email', $email);
	$xml->addTag('status', $status);
	$xml->addTag('user', $xml->body);
	$xml->save();

	$sub=' ';
	$mes='<p> <br /> - - -</p>
		<p>:<br />'.$user.'</p>
		<p>:<br />'.$pas.'</p>
		<p> ..:<br />'.$name.'</p>
		<p>E-mail:<br />'.$email.'</p>
		<p>:<br />'.$phone.'</p>
		';
	mail_spec(ADMIN_EMAIL, $email, $sub, $mes);
}

function show($delete=false)
{
	$this->title=' ';
	$xml=new Simple_XML();

	$cat=get_cat(DIR_USERS, 'xml');
	if (!count($cat))
	{
		$this->body='<p> .</p>';
		return;
	}
	$string='<p style="text-align:right" class="small"> : <strong>'.count($cat).'</strong></p>';
	$string.='<table cellpadding="8" cellspacing="0" align="center" summary="" class="red"><tr><th><strong></strong></th>
		<th><strong></strong></th>
		<th><strong></strong></th>
		<th><strong> ..</strong></th>
		<th><strong>E-mail</strong></th>
		<th><strong></strong></th>';

		if ($delete)	$string.='<th><strong></strong></th>';
		$string.='</tr>';
	$i=1;
	$gray=true;
	foreach($cat as $str)
	{
		$xml->loadFile(DIR_USERS.$str);
		$user=$xml->getText('login');
		$pas=$xml->getText('password');
		$name=$xml->getText('name');
		$phone=$xml->getText('phone');
		$email=$xml->getText('email');
		$status=$xml->getText('status');

		$string.='<tr'.$class.'><td>'.$i.'. </td>
			<td><strong>'.$user.'</strong></td>
			<td>'.$pas.'</td>
			<td>'.$name.'</td>
			<td><a href="mailto:'.$email.'">'.$email.'</a></td>
			<td>'.$phone.'</td>';

		if ($delete)
		{
			if ($user==NAME_ADMIN)	$string.='<td>&nbsp;</td>';
			else	$string.='<td><a href="'.LINK_MAIN_R.'user&amp;action=delete&amp;id='.($i-1).'&amp;user='.$user.'"></a></td>';
		}

		$string.='</tr>';
		$i++;
	}

	$string.='</table>';

	$this->body=$string;
}

function add()
{
	$string='<script language="javascript" type="text/javascript">
<!--
function Validate(fname)
{

	if(fname.user.value == \'\')
	{
		alert("   !");
		return false;
	}

	if(fname.name.value == \'\')
	{
		alert("    ..!");
		return false;
	}

	if(fname.email.value == \'\')
	{
		alert("   e-mail!");
		return false;
	}

	return true;
}
//-->
</script>
<p style="text-align:center;">,  \'*\',   .</p>
<table align="center" border="0"><tr><td>
<form action="'.LINK_MAIN.'" method="post" name="post" onsubmit="return Validate(this)">
<p>, *:<br /><small>(    , . 12 )</small><br /><input type="text" style="width:25em" name="user" value="" /></p>
<p> .., *:<br /><input type="text" style="width:25em" name="name" value="" /></p>
<p>E-mail, *:<br /><small>(  e-mail  )</small><br /><input type="text" style="width:25em" name="email" value="" /></p>
<p>:<br /><input type="text" style="width:25em" name="phone" value="" /></p>
<input type="hidden" name="r" value="user" />
<input type="hidden" name="action" value="save" />
<p><input type="submit" name="button_add" value="" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="reset" value=""  /></p>
</form>
</td></tr></table>';

	$this->title=' ';
	$this->body=$string;
}

}

?>